﻿using UnityEngine;
using System.Collections;

public class MemoryCard : MonoBehaviour 
{
	[SerializeField] private GameObject cardBack;
	[SerializeField] private SceneController controller;

	private int _id;

	public int id
	{
		get { return _id; }
	}

	// Use this for initialization
	void Start () 
	{
	}
	
	// Update is called once per frame
	void Update () 
	{
	}

	public void SetCard(int id, Sprite image)
	{
		_id = id;
		GetComponent<SpriteRenderer> ().sprite = image;
	}

	public void OnMouseDown()
	{
		Debug.Log ("Displaying card front by hiding the card back!");

		if (cardBack.activeSelf && controller.canReveal) 
		{
			cardBack.SetActive (false);
            controller.CardRevealed(this);
		}
	}

    public void Unreveal()
    {
        cardBack.SetActive (true);
    }
}
